LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRowLocate Interface Referencepublished

is used to identify rows within a result set and to find rows by a bookmark. More...

`import"XRowLocate.idl";`

Inheritance diagram for XRowLocate:

## Public Member Functions
any | getBookmark () raises (com::sun::star::sdbc::SQLException)
| returns the bookmark of the current row of a result set. More...
boolean | moveToBookmark ([in]any bookmark) raises (com::sun::star::sdbc::SQLException)
| moves the cursor to the row identified by a valid bookmark. More...
boolean | moveRelativeToBookmark ([in]any bookmark, [in]long rows) raises (com::sun::star::sdbc::SQLException)
| moves the cursor a relative number of rows, either positive or negative starting at a given bookmark position. More...
long | compareBookmarks ([in]any first, [in]any second) raises (com::sun::star::sdbc::SQLException)
| compares two bookmarks and returns an indication of their relative values. More...
boolean | hasOrderedBookmarks () raises (com::sun::star::sdbc::SQLException)
| determines whether the bookmarks of a result set are ordered or not. More...
long | hashBookmark ([in]any bookmark) raises (com::sun::star::sdbc::SQLException)
| returns the hash value for a specified bookmark. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to identify rows within a result set and to find rows by a bookmark.

Bookmarks are only valid in the scope of the current result set and are not interchangeable between result sets. A bookmark could be a complex data structure, so it could not be compared in a safe way. Because of that, a provider has to implement the compare method for bookmarks.

## Member Function Documentation

## ◆ compareBookmarks()

long compareBookmarks | ( | [in] any | first,
|  | [in] any | second
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

compares two bookmarks and returns an indication of their relative values.

The bookmarks must apply to the same ResultSet. You cannot reliably compare bookmarks from different ResultSets, even if they were created from the same source or statement.
A bookmark that is not valid, or incorrectly formed, will cause an exception.

Parameters

  first | the first bookmark
  second | the second bookmark

Returns
  a value of com::sun::star::sdbcx::CompareBookmark

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

See also
  com::sun::star::sdbcx::CompareBookmark

## ◆ getBookmark()

any getBookmark | ( |  | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

returns the bookmark of the current row of a result set.

Returns
  the current bookmark

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ hashBookmark()

long hashBookmark | ( | [in] any | bookmark | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

returns the hash value for a specified bookmark.

Parameters

  bookmark | the bookmark to hash

Returns
  the hashed value

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ hasOrderedBookmarks()

boolean hasOrderedBookmarks | ( |  | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

determines whether the bookmarks of a result set are ordered or not.

Returns
  `TRUE` if so

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

See also
  com::sun::star::sdbcx::CompareBookmark

## ◆ moveRelativeToBookmark()

boolean moveRelativeToBookmark | ( | [in] any | bookmark,
|  | [in] long | rows
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

moves the cursor a relative number of rows, either positive or negative starting at a given bookmark position.

If the bookmark could not be located, a result set will be positioned after the last record.
If the bookmark is invalid, or not generated by the current result set, then the behavior is not defined, even an abnormal termination is possible.

Parameters

  bookmark | the bookmark where to move
  rows | count of rows move relative to the bookmark

Returns
  `TRUE` if successful

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ moveToBookmark()

boolean moveToBookmark | ( | [in] any | bookmark | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

moves the cursor to the row identified by a valid bookmark.

If the bookmark could not be located, a result set will be positioned after the last record.
If the bookmark is invalid, or not generated by the current result set, then the behavior is not defined, even an abnormal termination is possible.

Parameters

  bookmark | the bookmark where to move

Returns
  `TRUE` if successful

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XRowLocate.idl